/*****************************************************************************/
/*	apci8815w.h																 */
/*																			 */
/*	aPCI-8815															 */
/*																			 */
/*	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.									 */
/*																			 */
/*	Date 1998/07/10															 */
/*																			 */
/*****************************************************************************/

#ifndef __INC_APCI8815W_H__
#define __INC_APCI8815W_H__

#include "apci8815.h"


#ifdef __cplusplus
extern "C"{
#endif


#define APCI8815_DLL_NAME	  _T("apci8815.dll")	// DLL

#define APCI8815_ERR_WRAPDLL ((DWORD)-1)	// bp[֐G[


BOOL  Apci8815wDllOpen();		// DLL [h
BOOL  Apci8815wDllClose();		// DLL A[h


BOOL  Apci8815wGetVersion(PDWORD pdwDllVer, PDWORD pdwDrvVer);						 // aPCI-8815 DLL,Driver̃o[Wԍ擾

BOOL  Apci8815wCreate(PWORD pwLogSlot, HWND hWnd, UINT uWMBase, PVOID pvInitArg);	 // CӂaPCI-8815̎gp錾
BOOL  Apci8815wClose(WORD wLogSlot);												 // CӂaPCI-8815̎gpJ

BOOL  Apci8815wGetResource(WORD wLogSlot, PAPCI8815R pres);							 // \[X擾

BOOL  Apci8815wSetMode(WORD wLogSlot, PCAPCI8815M pcmode);							 // TvO[h̐ݒ
BOOL  Apci8815wStartSampling(WORD wLogSlot);										 // TvOJn
BOOL  Apci8815wStopSampling(WORD wLogSlot);											 // TvO~
BOOL  Apci8815wGetSamplingStatus(WORD wLogSlot, PDWORD pcwNumData, PDWORD pdwStatus);// TvOEXe[^X̎擾
BOOL  Apci8815wGetData(WORD wLogSlot, DWORD cwNumData, PWORD pwData);				 // TvOς݃f[^̎擾

DWORD Apci8815wGetLastError(WORD wLogSlot);											 // aPCI-8815G[R[h

BOOL  Apci8815wGetExIn(WORD wLogSlot, PDWORD pdwExIn0, PDWORD pdwExIn1, PDWORD pdwExTrg);	// O͏Ԃ̎擾


#ifdef __cplusplus
}
#endif

#endif // __INC_APCI8815W_H__
